{%- from "manila/map.jinja" import cfg,api,scheduler,data,share with context %}

manila_task_service_running:
  test.show_notification:
    - text: "Running manila.upgrade.service_running"

{%- if api.get('enabled', False) %}
manila_start_{{ api.service }}:
  service.running:
    - name: {{ api.service }}
    - enable: True
{%- endif %}

{%- if scheduler.get('enabled', False) %}
manila_start_{{ scheduler.service }}:
  service.running:
    - name: {{ scheduler.service }}
    - enable: True
{%- endif %}

{%- if data.get('enabled', False) %}
manila_start_{{ data.service }}:
  service.running:
    - name: {{ data.service }}
    - enable: True
{%- endif %}

{%- if share.get('enabled', False) %}
manila_start_{{ share.service }}:
  service.running:
    - name: {{ share.service }}
    - enable: True
{%- endif %}
